Subject: RE: ASPEC and MTU

From: "Feng, Mark" <[email-masked]>
Date: Tue, 28 Aug 2001 13:47:42 -0700

ASPEC is optional. It is used by the receiver to get information about the
path, such as the MTU. It is used because there is no negotiation in RSVP.
If it is not present, the receiver can either get the information through
other mechanism, or make the reservation without knowledge of the path, and
risk having the reservation request rejected, due to factors like path MTU.

ASPEC is to collect information along the path only. The decision for QoS,
and what you refer to in the mail, should be derived from the FLOWSPEC.

- Mark

> -----Original Message-----
> From: Yuan Gu [mailto:[email-masked]]
> Sent: Tuesday, August 28, 2001 1:23 PM
> To: mpls
> Subject: ASPEC and MTU
> 
> 
> Hello, everyone:
> 
> 
> According to section 2.6 of draft-ietf-mpls-rsvp-lsp-tunnel-08.txt and
> RFC2210, MTU should be getten from ASPEC if Integrated Services object
> is presented in Path msg.
> 
> On the other hand, ASPEC is an OPTIONAL object according to 
> section 3.1
> of draft-ietf-mpls-rsvp-lsp-tunnel-08.txt.
> 
> My quesions are:
> 
> 1. In the case of Integrated Service Tspec is presented in 
> Path msg, is
> ASPEC still OPTIONAL?
> 2. If the answer of above question is YES, how do we manage 
> the Path MTU
> if ASPEC is not presented in Path msg?
> 
> Thanks for your answer!
> 
> Best Regards!
> Yuan Gu
>

---

From: David Charlap <[email-masked]>
Date: Tue, 28 Aug 2001 17:02:31 -0400

"Feng, Mark" wrote:
> 
> ASPEC is to collect information along the path only. The decision
> for QoS, and what you refer to in the mail, should be derived from
> the FLOWSPEC.

FLOWSPEC is provided by the egress router.  It _IS_ the QoS request.

The egress router chooses a FLOWSPEC based on anything it wants. 
Typically, the TSPEC and ADSPEC that exist in the incoming Path message
will be used to compute this.

The TSPEC represents the QoS that the ingress router wants.  The ADSPEC
represents what the network is capable of providing.  Between the two,
and maybe also some local policy decisions, the egress router has enough
information to choose a FLOWSPEC.

-- David